# Generated by Django 3.1.2 on 2020-10-16 12:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=12, null=True)),
                ('sks', models.DecimalField(decimal_places=0, max_digits=1)),
                ('semester', models.DecimalField(decimal_places=0, max_digits=1, null=True)),
                ('year', models.CharField(choices=[('Other', 'Other'), ('2019/2020', '2019/2020'), ('2020/2021', '2020/2021')], max_length=25, null=True)),
                ('note', models.CharField(max_length=25, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Matkul',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('Ongoing', 'Ongoing'), ('Not Yet', 'Not Yet'), ('Done', 'Done')], max_length=10, null=True)),
                ('course', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='story5.course')),
            ],
        ),
    ]
